some block attachment expanders not working after ajax load of blocks was merged

Bug #1424512 reported by Robert Lyon on 2015-02-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon

Bug Description

Now that we load the note block by ajax it means the block is not on the page when the the expander js goexs to wire up the expand/collapse stuff.

I've altered the block renderer so that each block instance loads it's own js to call setupExpanders().

Robert Lyon (robertl-9) on 2015-02-23
summary: - note block attachment expander not working after ajax load of blocks was
- merged
+ some block attachment expanders not working after ajax load of blocks
+ was merged
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4305

Robert Lyon (robertl-9) wrote :

This is also true for blog/blogpost/taggedblogposts blocks as well

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4371

Reviewed: https://reviews.mahara.org/4304
Committed: http://gitorious.org/mahara/mahara/commit/b00555fa807aaac8396da4429d18ccee9d8b1d25
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit b00555fa807aaac8396da4429d18ccee9d8b1d25
Author: Robert Lyon <email address hidden>
Date: Mon Feb 23 16:25:38 2015 +1300

Attachments expander in note block not working after ajaxify patch (Bug #1424512)

this patch sends the setupExpanders() js call along with the rest of
the html rather than use the on page load js as the blocks load after
page load.

Change-Id: Id0c212caa0d4bb53ac5fa59044b186c71127c54c
Signed-off-by: Robert Lyon <email address hidden>

Son Nguyen (ngson2000) on 2015-03-09
Changed in mahara:
status: In Progress → Fix Committed
Son Nguyen (ngson2000) on 2015-03-19
Changed in mahara:
status: Fix Committed → In Progress
Son Nguyen (ngson2000) wrote :

I have checked for other blocktypes.
They all work ok with ajax loading feature.

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4305
Committed: http://gitorious.org/mahara/mahara/commit/150aa10baf31660134ab30ddf73d35253e4c56a6
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 150aa10baf31660134ab30ddf73d35253e4c56a6
Author: Robert Lyon <email address hidden>
Date: Mon Feb 23 17:24:32 2015 +1300

Let blog block attachments expander work again (Bug #1424512)

needed to pass the js to render the expander post ajax load

Change-Id: Ia5d962aae9108ef751c120b9c89ddf18c85b0017
Signed-off-by: Robert Lyon <email address hidden>

Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
tags: added: behat has-behat
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4371
Committed: http://gitorious.org/mahara/mahara/commit/ab8c66b935ad298fcef2f5ba2537fb8f207c82ed
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ab8c66b935ad298fcef2f5ba2537fb8f207c82ed
Author: Jinelle Foley-Barnes <email address hidden>
Date: Mon Mar 9 15:25:48 2015 +1300

Behat Test: Adding a note block (Bug 1424512)

This is a behat test for bug (Bug 1424512) so it is dependent of that fix.
Also depended on the General node being able to expand (Bug 1407854)

Change-Id: I07112335965e44d9e80370bc0b3856d1cf38184d

Reviewed: https://reviews.mahara.org/4701
Committed: http://gitorious.org/mahara/mahara/commit/1feb09e2fde2cde9d1faad2cb3bc2ec483d9fc46
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 1feb09e2fde2cde9d1faad2cb3bc2ec483d9fc46
Author: Jinelle Foley-Barnes <email address hidden>
Date: Mon Mar 9 15:25:48 2015 +1300

Behat Test: Adding a note block (Bug 1424512)

This is a behat test for bug (Bug 1424512) so it is dependent of that fix.
Also depended on the General node being able to expand (Bug 1407854)

Change-Id: I07112335965e44d9e80370bc0b3856d1cf38184d

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers